## galapi
Class ModuleContext

    java.lang.Object
      galapi.Context
          galapi.ModuleContext

public class ModuleContext
extends Context

The `ModuleContext` provides a general evaluation environment for a query. This includes:

- the built-in types, namespaces, and functions
- the user-defined types, namespaces, and functions specified in any imported library modules
- any additional context defined by the application (e.g., the values of the context item and any global variables).

  Field Summary

  Fields inherited from class galapi.Context
  `item`

  Constructor Summary
  `protected` `ModuleContext()`
  `protected` `ModuleContext(int native_item)`

  Methods inherited from class galapi.Context
  `finalize, getNativeItem, nativeFree, setItem`

  Methods inherited from class java.lang.Object
  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### ModuleContext

      protected ModuleContext()

  ### ModuleContext

      protected ModuleContext(int native_item)